SPA Standard Values
SPA: Updates a StandardValue
Updates an existing standard value.
PATCH
/api/spa/standard-values/{id}Authorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
id
stringrequired
StandardValue identifier
Request Body
application/json
required
The updated StandardValue resource
{
"identifier": "key1",
"value": "line1\nline2",
"subClient": {},
"brandIdentifier": "default",
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
200
StandardValue resource updated
id
integer
Identifier generated by Output.Rocks.
identifier
stringrequired
Unique identifier
value
stringrequired
Value
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
brandIdentifier
stringrequired
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.